Перейти до вмісту

Запустити хмарне середовище виконання

Request

Запускає профіль браузера як хмарне середовище виконання. Браузер працює в інфраструктурі MoreLogin, а не на цьому комп'ютері.

Запуск виконується асинхронно. Успішна відповідь означає лише те, що запит на запуск прийнято. Опитуйте Список хмарних середовищ виконання, доки cloudBrowserStatus не набуде значення RUNNING, а потім викличте Підключення до хмарного середовища виконання.

Для кожного профілю учасник може мати лише один активний запуск. Під час запуску також перевіряються права на профіль, доступність функції, з'єднання з проксі, доступність ядра та баланс кредитів AI.

Bodyapplication/jsonrequired
envIdstring(EnvironmentId)^[1-9]\d*$required

Browser profile (environment) ID. Serialized as a decimal string to avoid JavaScript precision loss on 64-bit integers.

Example:"1800000000000001"
POST
/api/cloudbrowser/start
curl -i -X POST \
  http://127.0.0.1:40000/api/cloudbrowser/start \
  -H 'Content-Type: application/json' \
  -d '{
    "envId": "1800000000000001"
  }'

Responses

Success

Bodyapplication/json
codeintegerrequired

Return result code. 0 means success; other codes indicate exceptions.

Example:0
msgstring or nullrequired

Error message. Usually null on success.

Example:null
requestIdstring

Operation request ID. This field may be present when the request passes through the API gateway.

Example:"1d4f3ea968664593860b94b35d4ebf5e"
datanull
Example:null
Response
{ "code": 0, "msg": null, "requestId": "1d4f3ea968664593860b94b35d4ebf5e", "data": null }